Subject: bug#15385: [Eshell] Directory completion overwrites preceding characters

From: Joost Kremers <[email-masked]>
Date: Sat, 04 Dec 2021 22:37:13 +0100

On Sat, Dec 04 2021, Lars Ingebrigtsen wrote:
> Joost Kremers <[email-masked]> writes:
>
>> Starting from `emacs -Q', if I do
>>
>>    (setq eshell-cmpl-ignore-case t)
>>
>> and then start up a shell, TAB completion behaves incorrectly under some
>> conditions.
>>
>> Specifically, I type a command such as:
>>
>>     $ cp ~/Dropbox/Work/Reading/Wilbur_Martinez2002.pdf ~/Dro
>>
>> At this point, I hit TAB to complete `~/Dro' and get:
>>
>>     $ cp ~/Dropbox/Work/Reading/Wilbur_Martine/home/joost/Dropbox/
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> I tried to reproduce this (now with that exact path, but something
> similar) in Emacs 29, and I was unable to -- it completed to the
> expected path.
>
> Are you still seeing this issue in recent Emacs versions?

I vaguely remember being disappointed that it hadn't been fixed in the first
release after my bug report, but that would have been Emacs 25. I haven't seen
this issue for a long time, probably since Emacs 26. I just installed the Emacs
28 pretest and I can't reproduce the issue either.

So I think it's safe to close this bug.

-- 
Joost Kremers
Life has its moments